﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using HeuristicLab.Hive.Contracts.Interfaces;
using HeuristicLab.Hive.Server.Core;

namespace HeuristicLab.Hive.Server.Core.IISModules {
  public class HiveServerModule : IHttpModule {
    private static object locker = new object();
    private static ISlaveCommunicator slaveCommunicator;
    private static ILifecycleManager lifecycleManager;

    public void Init(HttpApplication context) {
      if (slaveCommunicator == null)
        slaveCommunicator = new SlaveCommunicator();

      if (lifecycleManager == null)
        lifecycleManager = new LifecycleManager();
    }

    public void Dispose() {

    }

  }
}